package test.laliluna.tutorial.junitexample;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import de.laliluna.tutorial.junitexample.Book;

/**
 * @author http://www.laliluna.de
 */
public class BookTest extends TestCase {

    private Book book1;
    private Book book2;
    private Book book3;

    /**
     * setUp() method that initializes common objects
     */
    protected void setUp() throws Exception {
        super.setUp();
        book1 = new Book("ES", 12.99);
        book2 = new Book("The Gate", 11.99);
        book3 = new Book("ES", 12.99);
    }

    /**
     * tearDown() method that cleanup the common objects
     */
    protected void tearDown() throws Exception {
        super.tearDown();
        book1 = null;
        book2 = null;
        book3 = null;
    }

    /**
     * Constructor for BookTest.
     * @param name
     */
    public BookTest(String name) {
        super(name);
    }
    
    /**
     * testEquals method to test the equals(..) method
     * of the class Book
     */
    public void testEquals(){
        assertFalse(book2.equals(book1));
        assertTrue(book1.equals(book1));
    }
    
    public static Test suite(){
        TestSuite suite = new TestSuite();
        suite.addTest(new BookTest("testEquals"));
        return suite;
    }
}